Autor Téma: Selhání instalace tiskárny v Mageia 6  (Přečteno 244 krát)

Ondřej kužel

  • Host
Selhání instalace tiskárny v Mageia 6
« kdy: Srpen 16, 2017, 08:03:45 »
Snažím se instalovat tiskárnu v Mageie. Přepínat kvůli tisku do win je dost nepohodlné. Tohle mi to vyhodilo:
Kód: [Vybrat]
# urpmi task-printing-server task-printing-hp --force
Aby byly splněny závislosti, budou nainstalovány následující balíčky:
  Balíček                        Verze        Vydání        Arch.   
(Zdroj "Core Release (distrib1)")
  a2ps                           4.14         17.mga6       x86_64 
  avahi                          0.6.32       1.mga6        x86_64  (doporučeno)
  cups-drivers-foo2zjs           0.0          1.20121012.8> x86_64 
  foomatic-db                    4.0          3.20161231.1> noarch 
  foomatic-db-engine             4.0.12       1.20150819.3> x86_64 
  groff-perl                     1.22.3       1.mga6        x86_64 
  gutenprint-common              5.2.11       2.mga6        x86_64 
  gutenprint-cups                5.2.11       2.mga6        x86_64 
  gutenprint-foomatic            5.2.11       2.mga6        x86_64 
  gutenprint-ijs                 5.2.11       2.mga6        x86_64 
  hplip                          3.17.4       1.mga6        x86_64 
  hplip-gui                      3.17.4       1.mga6        x86_64  (doporučeno)
  hplip-hpijs                    3.17.4       1.mga6        x86_64 
  hplip-hpijs-ppds               3.17.4       1.mga6        x86_64 
  lib64avahi-core7               0.6.32       1.mga6        x86_64  (doporučeno)
  lib64gutenprint2               5.2.11       2.mga6        x86_64 
  lib64sane-hpaio1               3.17.4       1.mga6        x86_64 
  mscompress                     0.4          5.mga6        x86_64 
  net-snmp-mibs                  5.7.3        4.mga6        x86_64 
  pnm2ppa                        1.13         6.mga6        x86_64 
  printer-testpages              2006         12.mga6       noarch 
  printer-tools                  2008         13.mga6       x86_64 
  python3-pillow                 3.4.2        1.mga6        x86_64 
  python3-qt5-core               5.6          8.mga6        x86_64  (doporučeno)
  python3-qt5-dbus               5.6          8.mga6        x86_64  (doporučeno)
  python3-qt5-gui                5.6          8.mga6        x86_64  (doporučeno)
  python3-qt5-widgets            5.6          8.mga6        x86_64  (doporučeno)
  python3-reportlab              3.3.0        1.mga6        x86_64 
  python3-sip                    4.18.1       1.mga6        x86_64 
  task-printing-hp               2011         10.mga6       x86_64 
  task-printing-server           2011         10.mga6       x86_64 
(Zdroj "Core Updates (distrib3)")
  cups                           2.2.4        1.mga6        x86_64 
Navíc bude použito 358MB diskového prostoru.
Bude staženo 63MB balíčků.
Pokračovat v instalaci 32 balíčků? (A/n) A


    $MIRRORLIST: media/core/release/python3-qt5-gui-5.6-8.mga6.x86_64.rpm
    $MIRRORLIST: media/core/release/python3-qt5-widgets-5.6-8.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/lib64avahi-core7-0.6.32-1.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/printer-tools-2008-13.mga6.x86_64.rpm                                                                                                                                                                   
    $MIRRORLIST: media/core/release/a2ps-4.14-17.mga6.x86_64.rpm                                                                                                                                                                           
    $MIRRORLIST: media/core/release/pnm2ppa-1.13-6.mga6.x86_64.rpm                                                                                                                                                                         
    $MIRRORLIST: media/core/release/hplip-3.17.4-1.mga6.x86_64.rpm                                                                                                                                                                         
    $MIRRORLIST: media/core/release/gutenprint-cups-5.2.11-2.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/printer-testpages-2006-12.mga6.noarch.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/hplip-gui-3.17.4-1.mga6.x86_64.rpm                                                                                                                                                                     
    $MIRRORLIST: media/core/release/task-printing-server-2011-10.mga6.x86_64.rpm                                                                                                                                                           
    $MIRRORLIST: media/core/release/python3-qt5-dbus-5.6-8.mga6.x86_64.rpm                                                                                                                                                                 
    $MIRRORLIST: media/core/release/gutenprint-ijs-5.2.11-2.mga6.x86_64.rpm                                                                                                                                                                 
    $MIRRORLIST: media/core/release/gutenprint-foomatic-5.2.11-2.mga6.x86_64.rpm                                                                                                                                                           
    $MIRRORLIST: media/core/release/lib64gutenprint2-5.2.11-2.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/gutenprint-common-5.2.11-2.mga6.x86_64.rpm                                                                                                                                                             
    $MIRRORLIST: media/core/release/hplip-hpijs-ppds-3.17.4-1.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/python3-sip-4.18.1-1.mga6.x86_64.rpm                                                                                                                                                                   
    $MIRRORLIST: media/core/release/mscompress-0.4-5.mga6.x86_64.rpm                                                                                                                                                                       
    $MIRRORLIST: media/core/release/cups-drivers-foo2zjs-0.0-1.20121012.8.mga6.x86_64.rpm                                                                                                                                                   
    $MIRRORLIST: media/core/release/groff-perl-1.22.3-1.mga6.x86_64.rpm                                                                                                                                                                     
    $MIRRORLIST: media/core/release/python3-reportlab-3.3.0-1.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/lib64sane-hpaio1-3.17.4-1.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/avahi-0.6.32-1.mga6.x86_64.rpm                                                                                                                                                                         
    $MIRRORLIST: media/core/release/task-printing-hp-2011-10.mga6.x86_64.rpm                                                                                                                                                               
    $MIRRORLIST: media/core/release/python3-pillow-3.4.2-1.mga6.x86_64.rpm                                                                                                                                                                 
    $MIRRORLIST: media/core/release/foomatic-db-4.0-3.20161231.1.mga6.noarch.rpm                                                                                                                                                           
    $MIRRORLIST: media/core/release/hplip-hpijs-3.17.4-1.mga6.x86_64.rpm                                                                                                                                                                   
    $MIRRORLIST: media/core/release/python3-qt5-core-5.6-8.mga6.x86_64.rpm                                                                                                                                                                 
    $MIRRORLIST: media/core/release/net-snmp-mibs-5.7.3-4.mga6.x86_64.rpm                                                                                                                                                                   
    $MIRRORLIST: media/core/release/foomatic-db-engine-4.0.12-1.20150819.3.mga6.x86_64.rpm                                                                                                                                                 
chyba: /var/cache/urpmi/partial/python3-qt5-gui-5.6-8.mga6.x86_64.rpm: not an rpm package                                                                                                                                                   

chyba: /var/cache/urpmi/partial/python3-qt5-widgets-5.6-8.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/lib64avahi-core7-0.6.32-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/printer-tools-2008-13.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/a2ps-4.14-17.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/pnm2ppa-1.13-6.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/hplip-3.17.4-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/gutenprint-cups-5.2.11-2.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/printer-testpages-2006-12.mga6.noarch.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/hplip-gui-3.17.4-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/task-printing-server-2011-10.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/python3-qt5-dbus-5.6-8.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/gutenprint-ijs-5.2.11-2.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/gutenprint-foomatic-5.2.11-2.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/lib64gutenprint2-5.2.11-2.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/gutenprint-common-5.2.11-2.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/hplip-hpijs-ppds-3.17.4-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/python3-sip-4.18.1-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/mscompress-0.4-5.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/cups-drivers-foo2zjs-0.0-1.20121012.8.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/groff-perl-1.22.3-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/python3-reportlab-3.3.0-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/lib64sane-hpaio1-3.17.4-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/avahi-0.6.32-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/task-printing-hp-2011-10.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/python3-pillow-3.4.2-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/foomatic-db-4.0-3.20161231.1.mga6.noarch.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/hplip-hpijs-3.17.4-1.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/python3-qt5-core-5.6-8.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/net-snmp-mibs-5.7.3-4.mga6.x86_64.rpm: not an rpm package

chyba: /var/cache/urpmi/partial/foomatic-db-engine-4.0.12-1.20150819.3.mga6.x86_64.rpm: not an rpm package

    $MIRRORLIST: media/core/updates/cups-2.2.4-1.mga6.x86_64.rpm
chyba: /var/cache/urpmi/partial/cups-2.2.4-1.mga6.x86_64.rpm: not an rpm package                                                                                                                                                           

    $MIRRORLIST: media/../../i586/media/core/release/foomatic-db-4.0-3.20161231.1.mga6.noarch.rpm
    $MIRRORLIST: media/../../i586/media/core/release/printer-testpages-2006-12.mga6.noarch.rpm                                                                                                                                             
chyba: /var/cache/urpmi/partial/foomatic-db-4.0-3.20161231.1.mga6.noarch.rpm: not an rpm package                                                                                                                                           

chyba: /var/cache/urpmi/partial/printer-testpages-2006-12.mga6.noarch.rpm: not an rpm package

Instalace selhala, vadné RPM balíčky:
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-qt5-gui-5.6-8.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/a2ps-4.14-17.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/gutenprint-cups-5.2.11-2.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/hplip-gui-3.17.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-qt5-dbus-5.6-8.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/gutenprint-ijs-5.2.11-2.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/hplip-hpijs-ppds-3.17.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-sip-4.18.1-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/groff-perl-1.22.3-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/task-printing-hp-2011-10.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/avahi-0.6.32-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/i586/media/core/release/foomatic-db-4.0-3.20161231.1.mga6.noarch.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/updates/cups-2.2.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/hplip-hpijs-3.17.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/foomatic-db-engine-4.0.12-1.20150819.3.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/net-snmp-mibs-5.7.3-4.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-qt5-widgets-5.6-8.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/lib64avahi-core7-0.6.32-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/printer-tools-2008-13.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/hplip-3.17.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/pnm2ppa-1.13-6.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/i586/media/core/release/printer-testpages-2006-12.mga6.noarch.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/task-printing-server-2011-10.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/gutenprint-foomatic-5.2.11-2.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/lib64gutenprint2-5.2.11-2.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/gutenprint-common-5.2.11-2.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/mscompress-0.4-5.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/cups-drivers-foo2zjs-0.0-1.20121012.8.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/lib64sane-hpaio1-3.17.4-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-reportlab-3.3.0-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-pillow-3.4.2-1.mga6.x86_64.rpm
    http://mageia.supp.name/distrib/6/x86_64/media/core/release/python3-qt5-core-5.6-8.mga6.x86_64.rpm

Přesto zkusit pokračovat? (a/N) N

Dá se s tím něco dělat?

EDIT: výstup do kódu
« Poslední změna: Srpen 16, 2017, 20:26:58 od Yullaw »

Ondřej kužel

  • Host
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #1 kdy: Srpen 16, 2017, 20:15:11 »
Tak ještě něco, pokud se pokusím přidat instalační zdroj, tak to vypíše tohle:

Nelze aktualizovat zdroj, byly nahlášeny chyby:

Neplatný soubor MD5SUM (stažený z http://mageia.supp.name/distrib/6/x86_64/media/core/updates/media_info)

Co to je za problém?

Yullaw

  • Global Moderator
  • Hero Member
  • *****
  • Příspěvků: 715
  • Karma: +49/-0
    • Zobrazit profil
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #2 kdy: Srpen 16, 2017, 20:49:55 »
Zdá se, že zdroj http://mageia.supp.name/distrib/6 má problémy se synchronizací s hlavním zdrojem Mageie, čili není aktuální. Už jsem se s podobným problémem setkal u jiného uživatele.

Bych viděl tento postup:
  • spustit Ovládací centrum MageieNastavit zdroje softwaru pro instalaci a aktualizaci
  • odstranit všechny zdroje
  • změnit stahovací program na wget ve stejném okně pomocí VolbyGlobální nastaveníProgram použitý ke stahováníwgetOK
  • SouborPřidat specifické zrcadlo zdrojeAno → osobně preferuji spolehlivý zdroj: CZftp://ftp.fi.muni.cz/pub/linux/mageia/distrib/6/x86_64OK
  • povolit Nonfree a Tainted i Nonfree Udpdates a Tainted Updates 64bit a 32bit zdroje → OK
  • Aktualizovat váš systém
  • přidat tiskárnu v HardwareNastavit tiskárny, řazení tiskových úloh... → tlačítko Přidat → vybrat tiskárnu. Ovládací centrum Mageie vybere automaticky balíčky k instalaci sám

Nebo-li rychlejší metoda přes příkazový řádek pod rootem:
Kód: [Vybrat]
# urpmi.removemedia -a
# drakrpm-edit-media
# urpmi.update -a
# urpmi --auto-update
# urpmi task-printing-hp         ← v případě, je-li tiskárna HP

V případě problémů s instalací tiskárny je třeba uvést typ tiskárny, pak je možné pomoci dál.

Mageia 6 (64bit), KDE 5.8.7, kernel 4.9.50-desktop-1.mga6
Notebook Acer Aspire E1-571G
CPU:Intel® Core i5-3230M 2.6GHz, GPU:Intel+nVidia Optimus GeForce 710M

henryok

  • Newbie
  • *
  • Příspěvků: 4
  • Karma: +1/-0
    • Zobrazit profil
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #3 kdy: Srpen 17, 2017, 05:40:54 »
Díky, udělal jsem to tak a všechno funguje.

henryok

  • Newbie
  • *
  • Příspěvků: 4
  • Karma: +1/-0
    • Zobrazit profil
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #4 kdy: Srpen 17, 2017, 05:42:49 »
I když, ještě se mi nedaří nastavit skener. Je to multifunkce HP Deskjet Ink Advantage 3775. Díky

henryok

  • Newbie
  • *
  • Příspěvků: 4
  • Karma: +1/-0
    • Zobrazit profil
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #5 kdy: Srpen 17, 2017, 05:51:38 »
Ještě podrobnější info: když v ovládacím centru dám nastavit skener, Vždy to nakonec musím nastavit ručně: Hewlet-Packard -> Most OfficeJet, LserJet, and PSC (Printer/Scaner/Copier) multi-function pheriperals. Napíše mi to, že to mám nastavit v nastavení tiskárny. Tam jsem přidal druhé zařízení, kt. našlo, ale nevidí to xsane, ve kt. bych chtěl skenovat.

henryok

  • Newbie
  • *
  • Příspěvků: 4
  • Karma: +1/-0
    • Zobrazit profil
Re:Selhání instalace tiskárny v Mageia 6
« Odpověď #6 kdy: Srpen 17, 2017, 08:03:49 »
Tak jsem vygooglil, proč nejde ten skener. V distru je stará verze hplip, která neumí skener na téhle tiskárně. Řešením je ruční instalace nejnovější verze hplip.